from forum.handler import BaseHandler,CollectionHandler,FollowHandler
from forum.handler import UserHandler,TopicHandler,CommentHandler

handlers = [
    ('/',BaseHandler.IndexHandler),
    ('/api/user/add',UserHandler.AddUserHandler),
    ('/api/user/login',UserHandler.LoginUserHandler),
    ('/api/user/get',UserHandler.GetUserHandler),
    ('/api/user/update',UserHandler.UpdateUserHandler),
    ('/api/send_msg',UserHandler.SendEmail),
    ('/api/topic/all',TopicHandler.GetManyTopicHandler),
    ('/api/topic/id',TopicHandler.GetOneTopicHandler),
    ('/api/topic/add',TopicHandler.AddTopicHandler),
    ('/api/topic/my',TopicHandler.GetMyTopicHandler),
    ('/api/comment/get/tid',CommentHandler.GetCommentHandler),
    ('/api/comment/add',CommentHandler.AddCommentHandler),
    ('/api/comment/my',CommentHandler.GetMyCommentHandler),
    ('/api/collection/add',CollectionHandler.AddCollectionHandler),
    ('/api/collection/my',CollectionHandler.GetMyCollectionHandler),
    ('/api/collection/delete',CollectionHandler.DeleteCollectionHandler),
    ('/api/follow/add',FollowHandler.AddFollowHandler),
    ('/api/follow/judge',FollowHandler.GetFollowHandler),
]   