from wtforms.fields.core import StringField
from wtforms.fields.simple import HiddenField
from wtforms_tornado import Form
from wtforms.validators import DataRequired, Length

class UserForm(Form):
    id = HiddenField()
    email = StringField('邮箱',validators=[DataRequired(message='请填写邮箱')])
    nick_name = StringField( '昵称',validators=[Length(max=10,min=2,message='请输入长度为3-10的昵称')])
    password = StringField('密码')
    gender = StringField('性别')
    singatrue = StringField('签名')
    pic = StringField('头像')

class TopicForm(Form):
    title= StringField('标题',validators=[DataRequired(message='请填写标题')])
    content = StringField('内容',validators=[DataRequired(message='请填写内容')])
    type_ = StringField('类型',validators=[DataRequired(message='请填写类型')])